package cc.smtweb.system.bpm.web.sys.user.dataRightGroup;

import cc.smtweb.framework.core.db.impl.BaseBean;
import cc.smtweb.system.bpm.web.common.BpmConst;

/**
 * @Author: tanghp
 * @Date: 2022-09-22 12:23
 * @Desc: 数据权限分组明细项
 */
public class DataRightGroupItem extends BaseBean {
    public int getKind() {
        return getInt("kind");
    }
    // 类别 0-包含 1-排除
    public void setKind(int kind) {
        put("kind",kind);
    }
    // 权限值
    public String getValue() {
        return getStr("value");
    }

    public void setValue(String value) {
        put("value",value);
    }
    // 树形结构有效：0-仅本级 1-含下级
    public int getType() {
        return getInt("type");
    }

    public void setType(int type) {
        put("type",type);
    }
    // 包含
    public boolean isInclude(){
        return getKind() == BpmConst.DataRight.V_INCLUDE;
    }
}
